Loading...
Searching...
No Matches
H2O.hpp File Reference

Material properties of pure water . More...

`#include "iapws/Common.hpp"`
`#include "iapws/Region1.hpp"`
`#include "iapws/Region2.hpp"`
`#include "iapws/Region4.hpp"`
`#include "Component.hpp"`
`#include <opm/common/Exceptions.hpp>`
`#include <opm/material/IdealGas.hpp>`
`#include <opm/material/common/Valgrind.hpp>`
`#include <opm/material/common/quad.hpp>`
`#include <opm/material/densead/Evaluation.hpp>`
`#include <cmath>`
`#include <cassert>`

Go to the source code of this file.

## Classes

class | Opm::H2O< Scalar >
| Material properties of pure water . More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Variables

template<class Scalar>
const Scalar | Opm::H2O< Scalar >::Rs = Common::Rs

## Detailed Description

Material properties of pure water .

Template Parameters

  Scalar | The type used for scalar values

See:

IAPWS: "Revised Release on the IAPWS Industrial Formulation 1997 for the Thermodynamic Properties of Water and Steam", http://www.iapws.org/relguide/IF97-Rev.pdf